summaryrefslogtreecommitdiffstats
path: root/source/d/gcc/c99.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/gcc/c99.sh')
-rw-r--r--source/d/gcc/c99.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/source/d/gcc/c99.sh b/source/d/gcc/c99.sh
new file mode 100644
index 000000000..88dd80640
--- /dev/null
+++ b/source/d/gcc/c99.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}